Skip to content

Validate action input before enqueue.

POST
/api/workspace/entity/{entityIdOrKey}/ui/actions/{actionId}/validate
curl --request POST \
--url https://example.com/api/workspace/entity/example/ui/actions/example/validate \
--header 'Content-Type: application/json' \
--data '{ "ActionTargetScope": 0, "EntityInstanceId": "example", "SelectedEntityInstanceIds": [ "example" ], "Input": {}, "CorrelationId": "example" }'
  • None
entityIdOrKey
required
string
actionId
required
string
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

Public runtime request to validate or enqueue an action from a UI surface.

object
ActionTargetScope
integer format: int32
Allowed values: 0 1 2 3
EntityInstanceId
string
nullable
SelectedEntityInstanceIds
Array<string>
nullable
Input
object
CorrelationId
string
nullable

OK

Media typeapplication/json
object
Data

Public validation result for a business-function action invocation.

object
ActionId

Designer-owned action identifier.

string
nullable
BusinessFunctionId

Business function identifier resolved from the action.

string
nullable
BusinessFunctionVersionId

Published function version selected for execution.

string
nullable
ActionTargetScope
integer format: int32
Allowed values: 0 1 2 3
EntityDefinitionId

Resolved entity definition identifier, when applicable.

string
nullable
EntityInstanceId

Resolved entity instance identifier, when applicable.

string
nullable
SelectedEntityInstanceIds

Normalized selected entity instance identifiers.

Array<string>
nullable
ValidationErrors

Validation errors returned by the platform or function.

Array<object>
nullable

Structured validation error emitted by a Validation business function.

object
FieldKey

Optional entity field key targeted by the error.

string
nullable
Message

User-facing validation message.

string
nullable
Code

Optional stable validation code.

string
nullable
IsValid

Whether the invocation passed validation.

boolean
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"ActionTargetScope": 0
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Bad Request

Media typeapplication/json
object
Data

Public validation result for a business-function action invocation.

object
ActionId

Designer-owned action identifier.

string
nullable
BusinessFunctionId

Business function identifier resolved from the action.

string
nullable
BusinessFunctionVersionId

Published function version selected for execution.

string
nullable
ActionTargetScope
integer format: int32
Allowed values: 0 1 2 3
EntityDefinitionId

Resolved entity definition identifier, when applicable.

string
nullable
EntityInstanceId

Resolved entity instance identifier, when applicable.

string
nullable
SelectedEntityInstanceIds

Normalized selected entity instance identifiers.

Array<string>
nullable
ValidationErrors

Validation errors returned by the platform or function.

Array<object>
nullable

Structured validation error emitted by a Validation business function.

object
FieldKey

Optional entity field key targeted by the error.

string
nullable
Message

User-facing validation message.

string
nullable
Code

Optional stable validation code.

string
nullable
IsValid

Whether the invocation passed validation.

boolean
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"ActionTargetScope": 0
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Forbidden

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Not Found

Media typeapplication/json
object
Data

Public validation result for a business-function action invocation.

object
ActionId

Designer-owned action identifier.

string
nullable
BusinessFunctionId

Business function identifier resolved from the action.

string
nullable
BusinessFunctionVersionId

Published function version selected for execution.

string
nullable
ActionTargetScope
integer format: int32
Allowed values: 0 1 2 3
EntityDefinitionId

Resolved entity definition identifier, when applicable.

string
nullable
EntityInstanceId

Resolved entity instance identifier, when applicable.

string
nullable
SelectedEntityInstanceIds

Normalized selected entity instance identifiers.

Array<string>
nullable
ValidationErrors

Validation errors returned by the platform or function.

Array<object>
nullable

Structured validation error emitted by a Validation business function.

object
FieldKey

Optional entity field key targeted by the error.

string
nullable
Message

User-facing validation message.

string
nullable
Code

Optional stable validation code.

string
nullable
IsValid

Whether the invocation passed validation.

boolean
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"ActionTargetScope": 0
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}